searchData={"items":[{"type":"module","title":"AwsDetective.AutoScaling.ParseTransforms","doc":"Helper functions for parsing some AWS API fields","ref":"AwsDetective.AutoScaling.ParseTransforms.html"},{"type":"function","title":"AwsDetective.AutoScaling.ParseTransforms.next_token/1","doc":"","ref":"AwsDetective.AutoScaling.ParseTransforms.html#next_token/1"},{"type":"function","title":"AwsDetective.AutoScaling.ParseTransforms.to_boolean/1","doc":"","ref":"AwsDetective.AutoScaling.ParseTransforms.html#to_boolean/1"},{"type":"function","title":"AwsDetective.AutoScaling.ParseTransforms.to_list/1","doc":"","ref":"AwsDetective.AutoScaling.ParseTransforms.html#to_list/1"},{"type":"function","title":"AwsDetective.AutoScaling.ParseTransforms.to_string_nil/1","doc":"","ref":"AwsDetective.AutoScaling.ParseTransforms.html#to_string_nil/1"},{"type":"module","title":"ExAws.AutoScaling","doc":"Operations on AWS EC2 Auto Scaling","ref":"ExAws.AutoScaling.html"},{"type":"function","title":"ExAws.AutoScaling.attach_instances/2","doc":"Attaches one or more EC2 instances to the specified Auto Scaling group\n\n  When you attach instances, Amazon EC2 Auto Scaling increases the desired capacity\n  of the group by the number of instances being attached. If the number of instances\n  being attached plus the desired capacity of the group exceeds the maximum size of\n  the group, the operation fails.\n\n  If there is a Classic Load Balancer attached to your Auto Scaling group, the\n  instances are also registered with the load balancer. If there are target groups\n  attached to your Auto Scaling group, the instances are also registered with the\n  target groups.","ref":"ExAws.AutoScaling.html#attach_instances/2"},{"type":"function","title":"Parameters - ExAws.AutoScaling.attach_instances/2","doc":"* auto_scaling_group_name (`String`) - The name of the Auto Scaling group\n\n  * opts (`t:instances_opts/0`) - The optional parameters","ref":"ExAws.AutoScaling.html#attach_instances/2-parameters"},{"type":"function","title":"Example - ExAws.AutoScaling.attach_instances/2","doc":"iex> op = ExAws.AutoScaling.attach_instances(\"my-asg\", instance_ids: [\"i-12345678\"])\n        iex> op.params\n        %{\n          \"Action\" => \"AttachInstances\",\n          \"AutoScalingGroupName\" => \"my-asg\",\n          \"InstanceIds.member.1\" => \"i-12345678\",\n          \"Version\" => \"2011-01-01\"\n        }","ref":"ExAws.AutoScaling.html#attach_instances/2-example"},{"type":"function","title":"ExAws.AutoScaling.attach_load_balancer_target_groups/2","doc":"Attaches one or more target groups to the specified Auto Scaling group\n\n  To describe the target groups for an Auto Scaling group, use\n  `describe_load_balancer_target_groups/2`.\n\n  To detach the target group from the Auto Scaling group, use\n  `detach_load_balancer_target_groups/2`","ref":"ExAws.AutoScaling.html#attach_load_balancer_target_groups/2"},{"type":"function","title":"Example: - ExAws.AutoScaling.attach_load_balancer_target_groups/2","doc":"iex> op = ExAws.AutoScaling.attach_load_balancer_target_groups(\"my-asg\", [\"my-targetarn\"])\n      iex> op.params\n      %{\n          \"Action\" => \"AttachLoadBalancerTargetGroups\",\n          \"AutoScalingGroupName\" => \"my-asg\",\n          \"TargetGroupARNs.member.1\" => \"my-targetarn\",\n          \"Version\" => \"2011-01-01\"\n      }","ref":"ExAws.AutoScaling.html#attach_load_balancer_target_groups/2-example"},{"type":"function","title":"Parameters - ExAws.AutoScaling.attach_load_balancer_target_groups/2","doc":"* auto_scaling_group_name (`String`) - The name of the Auto Scaling group\n\n  * target_group_arns (`List` of `String`) - The Amazon Resource Names (ARN) of\n  the target groups. You can specify up to 10 target groups.","ref":"ExAws.AutoScaling.html#attach_load_balancer_target_groups/2-parameters"},{"type":"function","title":"ExAws.AutoScaling.attach_load_balancers/2","doc":"Attaches one or more Classic Load Balancers to the specified Auto Scaling group\n\n  To attach an Application Load Balancer or a Network Load Balancer instead, see\n  `attach_load_balancer_target_groups/2`.\n\n  To describe the load balancers for an Auto Scaling group, use `describe_load_balancers/2`.\n\n  To detach the load balancer from the Auto Scaling group, use `detach_load_balancers/2`.","ref":"ExAws.AutoScaling.html#attach_load_balancers/2"},{"type":"function","title":"Parameters - ExAws.AutoScaling.attach_load_balancers/2","doc":"* auto_scaling_group_name (`String`) - The name of the Auto Scaling group\n\n  * load_balancer_names (`List` of String) - The names of the load balancers. You\n  can specify up to 10 load balancers.","ref":"ExAws.AutoScaling.html#attach_load_balancers/2-parameters"},{"type":"function","title":"Example: - ExAws.AutoScaling.attach_load_balancers/2","doc":"iex> op = ExAws.AutoScaling.attach_load_balancers(\"my-asg\", [\"my-lb\"])\n      iex> op.params\n      %{\n          \"Action\" => \"AttachLoadBalancers\",\n          \"AutoScalingGroupName\" => \"my-asg\",\n          \"LoadBalancerNames.member.1\" => \"my-lb\",\n          \"Version\" => \"2011-01-01\"\n      }","ref":"ExAws.AutoScaling.html#attach_load_balancers/2-example"},{"type":"function","title":"ExAws.AutoScaling.batch_delete_scheduled_action/2","doc":"Deletes one or more scheduled actions for the specified Auto Scaling group","ref":"ExAws.AutoScaling.html#batch_delete_scheduled_action/2"},{"type":"function","title":"Parameters - ExAws.AutoScaling.batch_delete_scheduled_action/2","doc":"* auto_scaling_group_name (`String`) - The name of the Auto Scaling group\n\n  * scheduled_action_names (`List` of `String`) - The names of the scheduled\n  actions to delete. The maximum number allowed is 50.","ref":"ExAws.AutoScaling.html#batch_delete_scheduled_action/2-parameters"},{"type":"function","title":"ExAws.AutoScaling.batch_put_scheduled_update_group_action/2","doc":"Creates or updates one or more scheduled scaling actions for an Auto Scaling group\n\n  If you leave a parameter unspecified when updating a scheduled scaling action, the\n  corresponding value remains unchanged.","ref":"ExAws.AutoScaling.html#batch_put_scheduled_update_group_action/2"},{"type":"function","title":"Parameters - ExAws.AutoScaling.batch_put_scheduled_update_group_action/2","doc":"* auto_scaling_group_name (`String`) - The name of the Auto Scaling group\n\n  * scheduled_update_group_actions (`List` of\n  `t:scheduled_update_group_action_request/0`) - Describes one or more scheduled\n  scaling action updates for a specified Auto Scaling group","ref":"ExAws.AutoScaling.html#batch_put_scheduled_update_group_action/2-parameters"},{"type":"function","title":"ExAws.AutoScaling.complete_life_cycle_action/4","doc":"Completes the lifecycle action for the specified token or instance with the specified result\n\n  This step is a part of the procedure for adding a lifecycle hook to an Auto Scaling group:\n\n  1. (Optional) Create a Lambda function and a rule that allows CloudWatch Events to invoke your\n  Lambda function when Amazon EC2 Auto Scaling launches or terminates instances.\n\n  2. (Optional) Create a notification target and an IAM role. The target can be either an Amazon\n  SQS queue or an Amazon SNS topic. The role allows Amazon EC2 Auto Scaling to publish lifecycle\n  notifications to the target.\n\n  3. Create the lifecycle hook. Specify whether the hook is used when the instances launch or\n  terminate.\n\n  4. If you need more time, record the lifecycle action heartbeat to keep the instance in a\n  pending state.\n\n  5. If you finish before the timeout period ends, complete the lifecycle action.","ref":"ExAws.AutoScaling.html#complete_life_cycle_action/4"},{"type":"function","title":"Parameters - ExAws.AutoScaling.complete_life_cycle_action/4","doc":"* auto_scaling_group_name (`String`) - The name of the Auto Scaling group\n\n  * lifecycle_hook_name (`String`) - The name of the lifecycle hook.\n\n  * lifecycle_action_result (`String`) - The action for the group to take. This\n  parameter can be either \"CONTINUE\" or \"ABANDON\".\n\n  * opts (`t:complete_life_cycle_action_opts/0`) - The optional parameters","ref":"ExAws.AutoScaling.html#complete_life_cycle_action/4-parameters"},{"type":"function","title":"ExAws.AutoScaling.create_auto_scaling_group/4","doc":"Creates an Auto Scaling group with the specified name and attributes.\n\n  If you exceed your maximum limit of Auto Scaling groups, the call fails.\n  For information about viewing this limit, see describe_account_limits. For\n  information about updating this limit, see Amazon EC2 Auto Scaling Limits\n  in the Amazon EC2 Auto Scaling User Guide.","ref":"ExAws.AutoScaling.html#create_auto_scaling_group/4"},{"type":"function","title":"Parameters - ExAws.AutoScaling.create_auto_scaling_group/4","doc":"* auto_scaling_group_name (`String`) - The name of the Auto Scaling group. This name\n  must be unique within the scope of your AWS account.\n\n  * min_size (`Integer`) - The minimum size of the group\n\n  * max_size (`Integer`) - The maximum size of the group\n\n  * opts (`t:create_auto_scaling_group_opts/0`) - optional parameters","ref":"ExAws.AutoScaling.html#create_auto_scaling_group/4-parameters"},{"type":"function","title":"ExAws.AutoScaling.create_launch_configuration/2","doc":"Creates a launch configuration.\n\n  If you exceed your maximum limit of launch configurations, the call fails.\n  For information about viewing this limit, see `describe_account_limits/2`.\n  For information about updating this limit, see Amazon EC2 Auto Scaling\n  Limits in the Amazon EC2 Auto Scaling User Guide.\n\n  For more information, see [Launch Configurations](https://amzn.to/2KF6Z0C)\n  in the Amazon EC2 Auto Scaling User Guide.","ref":"ExAws.AutoScaling.html#create_launch_configuration/2"},{"type":"function","title":"Parameters - ExAws.AutoScaling.create_launch_configuration/2","doc":"* launch_configuration_name (`String`) - The name of the launch configuration.\n  This name must be unique within the scope of your AWS account.\n\n  * opts (`t:create_launch_configuration_opts/0`) - optional parameters","ref":"ExAws.AutoScaling.html#create_launch_configuration/2-parameters"},{"type":"function","title":"ExAws.AutoScaling.create_or_update_tags/1","doc":"Creates or updates tags for the specified Auto Scaling group.\n\n  When you specify a tag with a key that already exists, the operation overwrites\n  the previous tag definition, and you do not get an error message.\n\n  For more information, see Tagging Auto Scaling Groups and Instances in the Amazon\n  EC2 Auto Scaling User Guide.","ref":"ExAws.AutoScaling.html#create_or_update_tags/1"},{"type":"function","title":"Parameters - ExAws.AutoScaling.create_or_update_tags/1","doc":"* tags (`List` of `t:tag/0`) - One or more tags.","ref":"ExAws.AutoScaling.html#create_or_update_tags/1-parameters"},{"type":"function","title":"ExAws.AutoScaling.delete_auto_scaling_group/2","doc":"Deletes the specified Auto Scaling group.\n\n  If the group has instances or scaling activities in progress, you must\n  specify the option to force the deletion in order for it to succeed.\n\n  If the group has policies, deleting the group deletes the policies, the\n  underlying alarm actions, and any alarm that no longer has an associated action.\n\n  To remove instances from the Auto Scaling group before deleting it, call\n  `detach_instances/1` with the list of instances and the option to decrement\n  the desired capacity. This ensures that Amazon EC2 Auto Scaling does not launch\n  replacement instances.\n\n  To terminate all instances before deleting the Auto Scaling group, call\n  `update_auto_scaling_group/1` and set the minimum size and desired capacity\n  of the Auto Scaling group to zero.","ref":"ExAws.AutoScaling.html#delete_auto_scaling_group/2"},{"type":"function","title":"Parameters - ExAws.AutoScaling.delete_auto_scaling_group/2","doc":"* auto_scaling_group_name (`String`) - The name of the Auto Scaling group.\n\n  * opts (`t:delete_auto_scaling_group_opts/0`) - optional parameters","ref":"ExAws.AutoScaling.html#delete_auto_scaling_group/2-parameters"},{"type":"function","title":"ExAws.AutoScaling.delete_launch_configuration/1","doc":"Deletes the specified launch configuration.\n\n  The launch configuration must not be attached to an Auto Scaling group. When\n  this call completes, the launch configuration is no longer available for use.","ref":"ExAws.AutoScaling.html#delete_launch_configuration/1"},{"type":"function","title":"Parameters - ExAws.AutoScaling.delete_launch_configuration/1","doc":"* launch_configuration_name (`String`) - The name of the launch configuration.","ref":"ExAws.AutoScaling.html#delete_launch_configuration/1-parameters"},{"type":"function","title":"ExAws.AutoScaling.delete_lifecycle_hook/2","doc":"Deletes the specified lifecycle hook.\n\n  If there are any outstanding lifecycle actions, they are completed\n  first (ABANDON for launching instances, CONTINUE for terminating instances).","ref":"ExAws.AutoScaling.html#delete_lifecycle_hook/2"},{"type":"function","title":"Parameters - ExAws.AutoScaling.delete_lifecycle_hook/2","doc":"* auto_scaling_group_name (`String`) - The name of the Auto Scaling group.\n\n  * lifecycle_hook_name (`String`) - The name of the lifecycle hook.","ref":"ExAws.AutoScaling.html#delete_lifecycle_hook/2-parameters"},{"type":"function","title":"ExAws.AutoScaling.delete_notification_configuration/2","doc":"Deletes the specified notification","ref":"ExAws.AutoScaling.html#delete_notification_configuration/2"},{"type":"function","title":"Parameters - ExAws.AutoScaling.delete_notification_configuration/2","doc":"* auto_scaling_group_name (`String`) - The name of the Auto Scaling group.\n\n  * topic_arn (`String`) - The Amazon Resource Name (ARN) of the Amazon Simple\n  Notification Service (Amazon SNS) topic.","ref":"ExAws.AutoScaling.html#delete_notification_configuration/2-parameters"},{"type":"function","title":"ExAws.AutoScaling.delete_policy/2","doc":"Deletes the specified Auto Scaling policy.\n\n  Deleting a policy deletes the underlying alarm action, but does not\n  delete the alarm, even if it no longer has an associated action.","ref":"ExAws.AutoScaling.html#delete_policy/2"},{"type":"function","title":"Parameters - ExAws.AutoScaling.delete_policy/2","doc":"* policy_name (`String`) - The name or Amazon Resource Name (ARN) of the policy.\n\n  * opts (`t:delete_policy_opts/0`) - optional parameters","ref":"ExAws.AutoScaling.html#delete_policy/2-parameters"},{"type":"function","title":"ExAws.AutoScaling.delete_scheduled_action/2","doc":"Deletes the specified scheduled action","ref":"ExAws.AutoScaling.html#delete_scheduled_action/2"},{"type":"function","title":"Parameters - ExAws.AutoScaling.delete_scheduled_action/2","doc":"* auto_scaling_group_name (`String`) - The name of the Auto Scaling group.\n\n  * scheduled_action_name (`String`) - The name of the action to delete","ref":"ExAws.AutoScaling.html#delete_scheduled_action/2-parameters"},{"type":"function","title":"ExAws.AutoScaling.delete_tags/1","doc":"Deletes the specified tags.","ref":"ExAws.AutoScaling.html#delete_tags/1"},{"type":"function","title":"Parameters - ExAws.AutoScaling.delete_tags/1","doc":"* tags (`List` of `t:tag/0`) - One or more tags.","ref":"ExAws.AutoScaling.html#delete_tags/1-parameters"},{"type":"function","title":"ExAws.AutoScaling.describe_account_limits/0","doc":"Describes the current Auto Scaling resource limits for your AWS account.\n\n  For information about requesting an increase in these limits, see Amazon\n  EC2 Auto Scaling Limits in the Amazon EC2 Auto Scaling User Guide.","ref":"ExAws.AutoScaling.html#describe_account_limits/0"},{"type":"function","title":"ExAws.AutoScaling.describe_adjustment_types/0","doc":"Describes the policy adjustment types for use with `put_scaling_policy/2`","ref":"ExAws.AutoScaling.html#describe_adjustment_types/0"},{"type":"function","title":"ExAws.AutoScaling.describe_auto_scaling_groups/1","doc":"Describes one or more Auto Scaling groups","ref":"ExAws.AutoScaling.html#describe_auto_scaling_groups/1"},{"type":"function","title":"Parameters - ExAws.AutoScaling.describe_auto_scaling_groups/1","doc":"* opts (`t:describe_auto_scaling_groups_opts/0`) - optional parameters","ref":"ExAws.AutoScaling.html#describe_auto_scaling_groups/1-parameters"},{"type":"function","title":"ExAws.AutoScaling.describe_auto_scaling_instances/1","doc":"Describes one or more Auto Scaling instances.","ref":"ExAws.AutoScaling.html#describe_auto_scaling_instances/1"},{"type":"function","title":"Parameters - ExAws.AutoScaling.describe_auto_scaling_instances/1","doc":"* opts (`t:describe_auto_scaling_instances_opts/0`) - optional parameters","ref":"ExAws.AutoScaling.html#describe_auto_scaling_instances/1-parameters"},{"type":"function","title":"ExAws.AutoScaling.describe_auto_scaling_notification_types/0","doc":"Describes the notification types that are supported by Amazon\n  EC2 Auto Scaling","ref":"ExAws.AutoScaling.html#describe_auto_scaling_notification_types/0"},{"type":"function","title":"ExAws.AutoScaling.describe_launch_configurations/1","doc":"Describes one or more launch configurations.","ref":"ExAws.AutoScaling.html#describe_launch_configurations/1"},{"type":"function","title":"Parameters - ExAws.AutoScaling.describe_launch_configurations/1","doc":"* opts (`t:describe_launch_configurations_opts/0`) - optional parameters","ref":"ExAws.AutoScaling.html#describe_launch_configurations/1-parameters"},{"type":"function","title":"ExAws.AutoScaling.describe_lifecycle_hook_types/0","doc":"Describes the available types of lifecycle hooks.\n\n  The following hook types are supported:\n\n  * autoscaling:EC2_INSTANCE_LAUNCHING\n  * autoscaling:EC2_INSTANCE_TERMINATING","ref":"ExAws.AutoScaling.html#describe_lifecycle_hook_types/0"},{"type":"function","title":"ExAws.AutoScaling.describe_lifecycle_hooks/2","doc":"Describes the lifecycle hooks for the specified Auto Scaling group","ref":"ExAws.AutoScaling.html#describe_lifecycle_hooks/2"},{"type":"function","title":"Parameters - ExAws.AutoScaling.describe_lifecycle_hooks/2","doc":"* auto_scaling_group_name (`String`) - The name of the Auto Scaling group.\n\n  * opts (`t:describe_lifecycle_hooks_opts/0`) - optional parameters","ref":"ExAws.AutoScaling.html#describe_lifecycle_hooks/2-parameters"},{"type":"function","title":"ExAws.AutoScaling.describe_load_balancer_target_groups/2","doc":"Describes the target groups for the specified Auto Scaling group","ref":"ExAws.AutoScaling.html#describe_load_balancer_target_groups/2"},{"type":"function","title":"Parameters - ExAws.AutoScaling.describe_load_balancer_target_groups/2","doc":"* auto_scaling_group_name (`String`) - The name of the Auto Scaling group.\n\n  * opts (`t:paging_opts/0`) - optional parameters","ref":"ExAws.AutoScaling.html#describe_load_balancer_target_groups/2-parameters"},{"type":"function","title":"ExAws.AutoScaling.describe_load_balancers/2","doc":"Describes the load balancers for the specified Auto Scaling group.\n\n  This operation describes only Classic Load Balancers. If you have\n  Application Load Balancers or Network Load Balancers, use\n  `describe_load_balancer_target_groups/2` instead.","ref":"ExAws.AutoScaling.html#describe_load_balancers/2"},{"type":"function","title":"Parameters - ExAws.AutoScaling.describe_load_balancers/2","doc":"* auto_scaling_group_name (`String`) - The name of the Auto Scaling group.\n\n  * opts (`t:paging_opts/0`) - optional parameters","ref":"ExAws.AutoScaling.html#describe_load_balancers/2-parameters"},{"type":"function","title":"ExAws.AutoScaling.describe_metric_collection_types/0","doc":"Describes the available CloudWatch metrics for Amazon EC2 Auto Scaling.\n\n  The GroupStandbyInstances metric is not returned by default. You must\n  explicitly request this metric when calling `enable_metrics_collection/2`.","ref":"ExAws.AutoScaling.html#describe_metric_collection_types/0"},{"type":"function","title":"ExAws.AutoScaling.describe_notification_configurations/1","doc":"Describes the notification actions associated with the specified\n  Auto Scaling group.","ref":"ExAws.AutoScaling.html#describe_notification_configurations/1"},{"type":"function","title":"Parameters - ExAws.AutoScaling.describe_notification_configurations/1","doc":"* opts (`t:describe_notification_configurations_opts/0`) - optional parameters","ref":"ExAws.AutoScaling.html#describe_notification_configurations/1-parameters"},{"type":"function","title":"ExAws.AutoScaling.describe_policies/1","doc":"Describes the policies for the specified Auto Scaling group","ref":"ExAws.AutoScaling.html#describe_policies/1"},{"type":"function","title":"Parameters - ExAws.AutoScaling.describe_policies/1","doc":"* opts (`t:describe_policies_opts/0`) - optional parameters","ref":"ExAws.AutoScaling.html#describe_policies/1-parameters"},{"type":"function","title":"ExAws.AutoScaling.describe_scaling_activities/1","doc":"Describes one or more scaling activities for the specified Auto Scaling group.","ref":"ExAws.AutoScaling.html#describe_scaling_activities/1"},{"type":"function","title":"Parameters - ExAws.AutoScaling.describe_scaling_activities/1","doc":"* opts (`t:describe_scaling_activities_opts/0`) - optional parameters","ref":"ExAws.AutoScaling.html#describe_scaling_activities/1-parameters"},{"type":"function","title":"ExAws.AutoScaling.describe_scaling_process_types/0","doc":"Describes the scaling process types for use with `resume_processes/2` and\n  `suspend_processes/2`.","ref":"ExAws.AutoScaling.html#describe_scaling_process_types/0"},{"type":"function","title":"ExAws.AutoScaling.describe_scheduled_actions/1","doc":"Describes the actions scheduled for your Auto Scaling group\n  that haven't run. To describe the actions that have already\n  run, use `describe_scaling_activities/2`.","ref":"ExAws.AutoScaling.html#describe_scheduled_actions/1"},{"type":"function","title":"Parameters - ExAws.AutoScaling.describe_scheduled_actions/1","doc":"* opts (`t:describe_scheduled_actions_opts/0`) - optional parameters","ref":"ExAws.AutoScaling.html#describe_scheduled_actions/1-parameters"},{"type":"function","title":"ExAws.AutoScaling.describe_tags/1","doc":"Describes the specified tags.\n\n  You can use filters to limit the results. For example, you can query\n  for the tags for a specific Auto Scaling group. You can specify multiple\n  values for a filter. A tag must match at least one of the specified\n  values for it to be included in the results.\n\n  You can also specify multiple filters. The result includes information for\n  a particular tag only if it matches all the filters. If there's no match,\n  no special message is returned.","ref":"ExAws.AutoScaling.html#describe_tags/1"},{"type":"function","title":"Parameters - ExAws.AutoScaling.describe_tags/1","doc":"* opts (`t:describe_tags_opts/0`) - optional parameters","ref":"ExAws.AutoScaling.html#describe_tags/1-parameters"},{"type":"function","title":"ExAws.AutoScaling.describe_termination_policy_types/0","doc":"Describes the termination policies supported by Amazon EC2 Auto Scaling.\n\n  For more information, see Controlling Which Auto Scaling Instances Terminate\n  During Scale In in the Amazon EC2 Auto Scaling User Guide.","ref":"ExAws.AutoScaling.html#describe_termination_policy_types/0"},{"type":"function","title":"ExAws.AutoScaling.detach_instances/3","doc":"Removes one or more instances from the specified Auto Scaling group.\n\n  After the instances are detached, you can manage them independent of the\n  Auto Scaling group.\n\n  If you do not specify the option to decrement the desired capacity, Amazon\n  EC2 Auto Scaling launches instances to replace the ones that are detached.\n\n  If there is a Classic Load Balancer attached to the Auto Scaling group,\n  the instances are deregistered from the load balancer. If there are target\n  groups attached to the Auto Scaling group, the instances are deregistered\n  from the target groups.\n\n  For more information, see Detach EC2 Instances from Your Auto Scaling Group\n  in the Amazon EC2 Auto Scaling User Guide.","ref":"ExAws.AutoScaling.html#detach_instances/3"},{"type":"function","title":"Parameters - ExAws.AutoScaling.detach_instances/3","doc":"* auto_scaling_group_name  (`String`) - The name of the Auto Scaling group\n\n  * should_decrement_desired_capacity (boolean) - Indicates whether the Auto Scaling\n  group decrements the desired capacity value by the number of instances detached.\n\n  * opts (`t:instances_opts/0`) - optional parameters","ref":"ExAws.AutoScaling.html#detach_instances/3-parameters"},{"type":"function","title":"ExAws.AutoScaling.detach_load_balancer_target_groups/2","doc":"Detaches one or more target groups from the specified Auto Scaling group.","ref":"ExAws.AutoScaling.html#detach_load_balancer_target_groups/2"},{"type":"function","title":"Parameters - ExAws.AutoScaling.detach_load_balancer_target_groups/2","doc":"* auto_scaling_group_name (`String`) - The name of the Auto Scaling group\n\n  * target_group_arns (`List` of `String`) - The Amazon Resource Names (ARN) of\n  the target groups. You can specify up to 10 target groups.","ref":"ExAws.AutoScaling.html#detach_load_balancer_target_groups/2-parameters"},{"type":"function","title":"ExAws.AutoScaling.detach_load_balancers/2","doc":"Detaches one or more Classic Load Balancers from the specified Auto Scaling group.\n\n  This operation detaches only Classic Load Balancers. If you have Application Load\n  Balancers or Network Load Balancers, use `detach_load_balancer_target_groups/2`\n  instead.\n\n  When you detach a load balancer, it enters the Removing state while deregistering\n  the instances in the group. When all instances are deregistered, then you can no\n  longer describe the load balancer using `describe_load_balancers/2`. The instances\n  remain running.","ref":"ExAws.AutoScaling.html#detach_load_balancers/2"},{"type":"function","title":"Parameters - ExAws.AutoScaling.detach_load_balancers/2","doc":"* auto_scaling_group_name  (`String`) - The name of the Auto Scaling group\n\n  * load_balancer_names (`List` of `String`) - The names of the load balancers. You\n  can specify up to 10 load balancers.","ref":"ExAws.AutoScaling.html#detach_load_balancers/2-parameters"},{"type":"function","title":"ExAws.AutoScaling.disable_metrics_collection/2","doc":"Disables group metrics for the specified Auto Scaling group.","ref":"ExAws.AutoScaling.html#disable_metrics_collection/2"},{"type":"function","title":"Parameters - ExAws.AutoScaling.disable_metrics_collection/2","doc":"* auto_scaling_group_name (`String`) - The name of the Auto Scaling group\n\n  * opts (`t:metrics_collection_opts/0`) - optional parameters","ref":"ExAws.AutoScaling.html#disable_metrics_collection/2-parameters"},{"type":"function","title":"ExAws.AutoScaling.enable_metrics_collection/3","doc":"Enables group metrics for the specified Auto Scaling group\n\n  For more information, see Monitoring Your Auto Scaling Groups and\n  Instances in the Amazon EC2 Auto Scaling User Guide.","ref":"ExAws.AutoScaling.html#enable_metrics_collection/3"},{"type":"function","title":"Parameters - ExAws.AutoScaling.enable_metrics_collection/3","doc":"* auto_scaling_group_name (`String`) - The name of the Auto Scaling group\n\n  * granularity (`String`) - The granularity to associate with the metrics to collect.\n  The only valid value is \"1Minute\".\n\n  * opts (`t:metrics_collection_opts/0`) - optional parameters","ref":"ExAws.AutoScaling.html#enable_metrics_collection/3-parameters"},{"type":"function","title":"ExAws.AutoScaling.enter_standby/3","doc":"Moves the specified instances into the standby state.\n\n  For more information, see Temporarily Removing Instances from Your Auto Scaling\n  Group in the Amazon EC2 Auto Scaling User Guide.","ref":"ExAws.AutoScaling.html#enter_standby/3"},{"type":"function","title":"Parameters - ExAws.AutoScaling.enter_standby/3","doc":"* auto_scaling_group_name (`String`) - The name of the Auto Scaling group\n\n  * should_decrement_desired_capacity (boolean) - Indicates whether to decrement the desired\n  capacity of the Auto Scaling group by the number of instances moved to Standby mode.\n\n  * opts (`t:instances_opts/0`) - optional parameters","ref":"ExAws.AutoScaling.html#enter_standby/3-parameters"},{"type":"function","title":"ExAws.AutoScaling.execute_policy/3","doc":"Executes the specified policy","ref":"ExAws.AutoScaling.html#execute_policy/3"},{"type":"function","title":"Parameters - ExAws.AutoScaling.execute_policy/3","doc":"* auto_scaling_group_name (`String`) - The name of the Auto Scaling group\n\n  * policy_name (`String`) - The name or ARN of the policy.\n\n  * opts (`t:execute_policy_opts/0`) - optional parameters","ref":"ExAws.AutoScaling.html#execute_policy/3-parameters"},{"type":"function","title":"ExAws.AutoScaling.exit_standby/2","doc":"Moves the specified instances out of the standby state.\n\n  For more information, see Temporarily Removing Instances from\n  Your Auto Scaling Group in the Amazon EC2 Auto Scaling User Guide.","ref":"ExAws.AutoScaling.html#exit_standby/2"},{"type":"function","title":"Parameters - ExAws.AutoScaling.exit_standby/2","doc":"* auto_scaling_group_name (`String`) - The name of the Auto Scaling group\n\n  * opts (`t:instances_opts/0`) - optional parameters","ref":"ExAws.AutoScaling.html#exit_standby/2-parameters"},{"type":"function","title":"ExAws.AutoScaling.put_lifecycle_hook/3","doc":"Creates or updates a lifecycle hook for the specified Auto Scaling group.\n\n  A lifecycle hook tells Amazon EC2 Auto Scaling to perform an action on an\n  instance that is not actively in service, for example, either when the\n  instance launches or before the instance terminates.\n\n  This step is a part of the procedure for adding a lifecycle hook to an\n  Auto Scaling group:\n\n  1. (Optional) Create a Lambda function and a rule that allows CloudWatch\n  Events to invoke your Lambda function when Amazon EC2 Auto Scaling launches\n  or terminates instances.\n\n  2. (Optional) Create a notification target and an IAM role. The target can be\n  either an Amazon SQS queue or an Amazon SNS topic. The role allows Amazon EC2\n  Auto Scaling to publish lifecycle notifications to the target.\n\n  3. Create the lifecycle hook. Specify whether the hook is used when the instances\n  launch or terminate.\n\n  4. If you need more time, record the lifecycle action heartbeat to keep the\n  instance in a pending state.\n\n  5. If you finish before the timeout period ends, complete the lifecycle action.\n\n  For more information, see Amazon EC2 Auto Scaling Lifecycle Hooks in the Amazon EC2\n  Auto Scaling User Guide.\n\n  If you exceed your maximum limit of lifecycle hooks, which by default is 50 per Auto\n  Scaling group, the call fails.","ref":"ExAws.AutoScaling.html#put_lifecycle_hook/3"},{"type":"function","title":"Parameters - ExAws.AutoScaling.put_lifecycle_hook/3","doc":"* auto_scaling_group_name (`String`) - The name of the Auto Scaling group\n\n  * lifecycle_hook_name (`String`) - The name of the lifecycle hook\n\n  * opts (`t:put_lifecycle_hook_opts/0`) - optional parameters","ref":"ExAws.AutoScaling.html#put_lifecycle_hook/3-parameters"},{"type":"function","title":"ExAws.AutoScaling.put_notification_configuration/3","doc":"Configures an Auto Scaling group to send notifications when specified events\n  take place.\n\n  Subscribers to the specified topic can have messages delivered to an endpoint\n  such as a web server or an email address.\n\n  This configuration overwrites any existing configuration.\n\n  For more information, see Getting Amazon SNS Notifications When Your Auto Scaling\n  Group Scales in the Amazon EC2 Auto Scaling User Guide.","ref":"ExAws.AutoScaling.html#put_notification_configuration/3"},{"type":"function","title":"Parameters - ExAws.AutoScaling.put_notification_configuration/3","doc":"* auto_scaling_group_name (`String`) - The name of the Auto Scaling group\n\n  * topic_arn (`String`) - The Amazon Resource Name (ARN) of the Amazon Simple\n  Notification Service (Amazon SNS) topic.\n\n  * notification_types (`List` of `String`) - The type of event that causes the\n  notification to be sent. For more information about notification types supported\n  by Amazon EC2 Auto Scaling, see describe_auto_scaling_notification_types.","ref":"ExAws.AutoScaling.html#put_notification_configuration/3-parameters"},{"type":"function","title":"ExAws.AutoScaling.put_scaling_policy/3","doc":"Creates or updates a policy for an Auto Scaling group\n\n  To update an existing policy, use the existing policy name and set the\n  parameters to change. Any existing parameter not changed in an update\n  to an existing policy is not changed in this update request.","ref":"ExAws.AutoScaling.html#put_scaling_policy/3"},{"type":"function","title":"Parameters - ExAws.AutoScaling.put_scaling_policy/3","doc":"* auto_scaling_group_name (`String`) - The name of the Auto Scaling group\n\n  * policy_name (`String`) - The name of the policy\n\n  * opts (`t:put_scaling_policy_opts/0`) - optional parameters","ref":"ExAws.AutoScaling.html#put_scaling_policy/3-parameters"},{"type":"function","title":"ExAws.AutoScaling.put_scheduled_update_group_action/3","doc":"Creates or updates a scheduled scaling action for an Auto Scaling group\n\n  If you leave a parameter unspecified when updating a scheduled scaling action,\n  the corresponding value remains unchanged.\n\n  For more information, see Scheduled Scaling in the Amazon EC2 Auto Scaling\n  User Guide.","ref":"ExAws.AutoScaling.html#put_scheduled_update_group_action/3"},{"type":"function","title":"Parameters - ExAws.AutoScaling.put_scheduled_update_group_action/3","doc":"* auto_scaling_group_name (`String`) - The name of the Auto Scaling group\n\n  * scheduled_action_name (`String`) - The name of this scaling action\n\n  * opts (`t:put_scheduled_update_group_action_opts/0`)","ref":"ExAws.AutoScaling.html#put_scheduled_update_group_action/3-parameters"},{"type":"function","title":"ExAws.AutoScaling.record_lifecycle_action_heartbeat/3","doc":"Records a heartbeat for the lifecycle action associated with the\n  specified token or instance\n\n  This extends the timeout by the length of time defined using PutLifecycleHook.\n\n  This step is a part of the procedure for adding a lifecycle hook to an Auto\n  Scaling group:\n\n  1. (Optional) Create a Lambda function and a rule that allows CloudWatch\n  Events to invoke your Lambda function when Amazon EC2 Auto Scaling launches\n  or terminates instances.\n\n  2. (Optional) Create a notification target and an IAM role. The target can be\n  either an Amazon SQS queue or an Amazon SNS topic. The role allows Amazon EC2\n  Auto Scaling to publish lifecycle notifications to the target.\n\n  3. Create the lifecycle hook. Specify whether the hook is used when the instances\n  launch or terminate.\n\n  4. If you need more time, record the lifecycle action heartbeat to keep the\n  instance in a pending state.\n\n  5. If you finish before the timeout period ends, complete the lifecycle action.\n\n  For more information, see Auto Scaling Lifecycle in the Amazon EC2 Auto\n  Scaling User Guide.","ref":"ExAws.AutoScaling.html#record_lifecycle_action_heartbeat/3"},{"type":"function","title":"Parameters - ExAws.AutoScaling.record_lifecycle_action_heartbeat/3","doc":"* auto_scaling_group_name (`String`) - The name of the Auto Scaling group\n\n  * lifecycle_hook_name (`String`) - A token that uniquely identifies a specific\n  lifecycle action associated with an instance. Amazon EC2 Auto Scaling sends\n  this token to the notification target that you specified when you created\n  the lifecycle hook.\n\n  * opts (`t:record_lifecycle_action_heartbeat_opts/0`)","ref":"ExAws.AutoScaling.html#record_lifecycle_action_heartbeat/3-parameters"},{"type":"function","title":"ExAws.AutoScaling.resume_processes/2","doc":"Resumes the specified suspended automatic scaling processes, or all\n  suspended process, for the specified Auto Scaling group.\n\n  For more information, see Suspending and Resuming Scaling Processes\n  in the Amazon EC2 Auto Scaling User Guide.","ref":"ExAws.AutoScaling.html#resume_processes/2"},{"type":"function","title":"Parameters - ExAws.AutoScaling.resume_processes/2","doc":"* auto_scaling_group_name (`String`) - The name of the Auto Scaling group\n\n  * opts (`t:resume_processes_opts/0`) - optional parameters","ref":"ExAws.AutoScaling.html#resume_processes/2-parameters"},{"type":"function","title":"ExAws.AutoScaling.set_desired_capacity/3","doc":"Sets the size of the specified Auto Scaling group.\n\n  For more information about desired capacity, see\n  What Is Amazon EC2 Auto Scaling? in the Amazon EC2 Auto\n  Scaling User Guide.","ref":"ExAws.AutoScaling.html#set_desired_capacity/3"},{"type":"function","title":"Parameters - ExAws.AutoScaling.set_desired_capacity/3","doc":"* auto_scaling_group_name (`String`) - The name of the Auto Scaling group\n\n  * desired_capacity (`Integer`) - The number of EC2 instances that should\n  be running in the Auto Scaling group.\n\n  * opts (`t: set_desired_capacity_opts/0`)","ref":"ExAws.AutoScaling.html#set_desired_capacity/3-parameters"},{"type":"function","title":"ExAws.AutoScaling.set_instance_health/3","doc":"Sets the health status of the specified instance.\n\n  For more information, see Health Checks in the Amazon EC2\n  Auto Scaling User Guide.","ref":"ExAws.AutoScaling.html#set_instance_health/3"},{"type":"function","title":"Parameters - ExAws.AutoScaling.set_instance_health/3","doc":"* instance_id (`String`) - The ID of the instance\n\n  * health_status (`String`) - The health status of the instance.\n  Set to \"Healthy\" to have the instance remain in service. Set to\n  \"Unhealthy\" to have the instance be out of service. Amazon EC2\n  Auto Scaling terminates and replaces the unhealthy instance.\n\n  * opts (`t:set_instance_health_opts/0`)","ref":"ExAws.AutoScaling.html#set_instance_health/3-parameters"},{"type":"function","title":"ExAws.AutoScaling.set_instance_protection/3","doc":"Updates the instance protection settings of the specified instances.\n\n  For more information about preventing instances that are part of an\n  Auto Scaling group from terminating on scale in, see Instance Protection\n  in the Amazon EC2 Auto Scaling User Guide.","ref":"ExAws.AutoScaling.html#set_instance_protection/3"},{"type":"function","title":"Parameters - ExAws.AutoScaling.set_instance_protection/3","doc":"* auto_scaling_group_name (`String`) - The name of the Auto Scaling group\n\n  * instance_ids (`List` of `String`) - One or more instance IDs.\n\n  * protected_from_scale_in (boolean) - Indicates whether the instance is\n  protected from termination by Amazon EC2 Auto Scaling when scaling in.","ref":"ExAws.AutoScaling.html#set_instance_protection/3-parameters"},{"type":"function","title":"ExAws.AutoScaling.suspend_processes/0","doc":"Suspends the specified automatic scaling processes, or all\n  processes, for the specified Auto Scaling group.\n\n  If you suspend either the Launch or Terminate process types,\n  it can prevent other process types from functioning properly.\n\n  To resume processes that have been suspended, use\n  `resume_processes/0`.\n\n  For more information, see Suspending and Resuming Scaling\n  Processes in the Amazon EC2 Auto Scaling User Guide.","ref":"ExAws.AutoScaling.html#suspend_processes/0"},{"type":"function","title":"ExAws.AutoScaling.terminate_instance_in_auto_scaling_group/2","doc":"Terminates the specified instance and optionally adjusts the\n  desired group size.\n\n  This call simply makes a termination request. The instance\n  is not terminated immediately.","ref":"ExAws.AutoScaling.html#terminate_instance_in_auto_scaling_group/2"},{"type":"function","title":"Parameters - ExAws.AutoScaling.terminate_instance_in_auto_scaling_group/2","doc":"* instance_id (`String`) - The ID of the instance\n\n  * should_decrement_desired_capacity (boolean) - Indicates whether terminating\n  the instance also decrements the size of the Auto Scaling group.","ref":"ExAws.AutoScaling.html#terminate_instance_in_auto_scaling_group/2-parameters"},{"type":"function","title":"ExAws.AutoScaling.update_auto_scaling_group/2","doc":"Updates the configuration for the specified Auto Scaling group.\n\n  The new settings take effect on any scaling activities after this\n  call returns. Scaling activities that are currently in progress\n  aren't affected.\n\n  To update an Auto Scaling group with a launch configuration with\n  InstanceMonitoring set to false, you must first disable the\n  collection of group metrics. Otherwise, you get an error. If you\n  have previously enabled the collection of group metrics, you can\n  disable it using `disable_metrics_collection/2`.\n\n  Note the following:\n\n  * If you specify a new value for min_size without specifying a\n  value for desired_capacity, and the new min_size is larger than\n  the current size of the group, we implicitly call\n  `set_desired_capacity/2` to set the size of the group to the new\n  value of min_size.\n\n  * If you specify a new value for max_size without specifying a\n  value for desired_capacity, and the new max_size is smaller than\n  the current size of the group, we implicitly call\n  `set_desired_capacity/2` to set the size of the group to the new\n  value of max_size.\n\n  * All other optional parameters are left unchanged if not specified.","ref":"ExAws.AutoScaling.html#update_auto_scaling_group/2"},{"type":"function","title":"Parameters - ExAws.AutoScaling.update_auto_scaling_group/2","doc":"* auto_scaling_group_name (`String`) - The name of the Auto Scaling group\n\n  * opts (`t:update_auto_scaling_group_opts/0`) - optional parameters","ref":"ExAws.AutoScaling.html#update_auto_scaling_group/2-parameters"},{"type":"type","title":"ExAws.AutoScaling.block_device_mapping/0","doc":"Describes a block device mapping. See `t:ebs/0`","ref":"ExAws.AutoScaling.html#t:block_device_mapping/0"},{"type":"type","title":"Keys - ExAws.AutoScaling.block_device_mapping/0","doc":"* device_name (`String`) - The device name exposed to the EC2 instance (for\n  example, /dev/sdh or xvdh). For more information, see Device Naming on Linux\n  Instances in the Amazon EC2 User Guide for Linux Instances.\n\n  * ebs (`t:ebs/0`) - The information about the Amazon EBS volume.\n\n  * no_device (boolean) - Suppresses a device mapping. If this parameter is true for\n  the root device, the instance might fail the EC2 health check. In that case,\n  Amazon EC2 Auto Scaling launches a replacement instance.\n\n  * virtual_name (`String`) - The name of the virtual device (for example, ephemeral0).","ref":"ExAws.AutoScaling.html#t:block_device_mapping/0-keys"},{"type":"type","title":"ExAws.AutoScaling.complete_life_cycle_action_opts/0","doc":"The optional parameters when calling `complete_life_cycle_action/4`","ref":"ExAws.AutoScaling.html#t:complete_life_cycle_action_opts/0"},{"type":"type","title":"Members - ExAws.AutoScaling.complete_life_cycle_action_opts/0","doc":"* lifecycle_action_token (`String`) - A universally unique identifier (UUID) that\n  identifies a specific lifecycle action associated with an instance. Amazon EC2\n  Auto Scaling sends this token to the notification target you specified when you\n  created the lifecycle hook.\n\n  * instance_id (`String`) - The ID of the instance.","ref":"ExAws.AutoScaling.html#t:complete_life_cycle_action_opts/0-members"},{"type":"type","title":"ExAws.AutoScaling.create_auto_scaling_group_opts/0","doc":"The optional parameters when calling `create_auto_scaling_group/4`","ref":"ExAws.AutoScaling.html#t:create_auto_scaling_group_opts/0"},{"type":"type","title":"Keys - ExAws.AutoScaling.create_auto_scaling_group_opts/0","doc":"* availability_zones (`List`) - One or more Availability Zones for\n  the group. This parameter is optional if you specify one\n  or more subnets. Minimum number of 1 item. Maximum number\n  is 255.\n\n  * default_cool_down (`Integer`) - The amount of time, in seconds,\n  after a scaling activity completes before another scaling\n  activity can start. The default value is 300.\n\n  * desired_capacity (`Integer`) - The number of EC2 instances that\n  should be running in the group. This number must be greater than\n  or equal to the minimum size of the group and less than or equal\n  to the maximum size of the group. If you do not specify a desired\n  capacity, the default is the minimum size of the group.\n\n  * health_check_grace_period (`Integer`) - The amount of time, in seconds,\n  that Amazon EC2 Auto Scaling waits before checking the health status of\n  an EC2 instance that has come into service. During this time, any health\n  check failures for the instance are ignored. The default value is 0.\n  This parameter is required if you are adding an ELB health check.\n\n  * health_check_type (`String`) - The service to use for the health checks.\n  The valid values are \"EC2\" and \"ELB\".\n\n  * launch_configuration_name (`String`) - The name of the launch configuration.\n  This parameter, a launch template, a mixed instances policy, or an EC2\n  instance must be specified.\n\n  * launch_template (`t:launch_template_specification/0`) - The launch template\n  to use to launch instances. This parameter, a launch configuration, a mixed\n  instances policy, or an EC2 instance must be specified.\n\n  * lifecycle_hook_specification_list (`List` of\n  `t:lifecycle_hook_specification/0`) - One or more lifecycle hooks.\n\n  * load_balancer_names (`List` of `String`) - One or more Classic Load Balancers.\n  To specify an Application Load Balancer or a Network Load Balancer, use\n  target_group_arns instead.\n\n  * mixed_instances_policy (`t:mixed_instances_policy/0`) - The mixed instances policy\n  to use to launch instances. This parameter, a launch template, a launch configuration,\n  or an EC2 instance must be specified.\n\n  * new_instances_protected_from_scale_in (boolean) - Indicates whether newly launched\n  instances are protected from termination by Auto Scaling when scaling in.\n  For more information about preventing instances from terminating on scale in, see\n  Instance Protection in the Amazon EC2 Auto Scaling User Guide.\n\n  * placement_group (`String`) - The name of the placement group into which to launch\n  your instances, if any. For more information, see Placement Groups in the Amazon\n  EC2 User Guide for Linux Instances.\n\n  * service_linked_role_arn (`String`) - The Amazon Resource Name (ARN) of the\n  service-linked role that the Auto Scaling group uses to call other AWS services\n  on your behalf. By default, Amazon EC2 Auto Scaling uses a service-linked role\n  named AWSServiceRoleForAutoScaling, which it creates if it does not exist. For\n  more information, see Service-Linked Roles in the Amazon EC2 Auto Scaling User\n  Guide.\n\n  * tags (`List` of `t:tag/0`) - One or more tags\n\n  * target_group_arns (`List` of `String`) - The Amazon Resource Names (ARN) of the\n  target groups.\n\n  * termination_policies (`List` of `String`) - One or more termination policies used\n  to select the instance to terminate. These policies are executed in the order that\n  they are listed. For more information, see \"Controlling Which Instances Auto Scaling\n  Terminates During Scale In\" in the Amazon EC2 Auto Scaling User Guide.\n\n  * vpc_zone_identifier (`String`) - A comma-separated list of subnet identifiers for\n  your virtual private cloud (VPC)","ref":"ExAws.AutoScaling.html#t:create_auto_scaling_group_opts/0-keys"},{"type":"type","title":"ExAws.AutoScaling.create_launch_configuration_opts/0","doc":"The optional parameters when calling `create_launch_configuration/2`","ref":"ExAws.AutoScaling.html#t:create_launch_configuration_opts/0"},{"type":"type","title":"Keys - ExAws.AutoScaling.create_launch_configuration_opts/0","doc":"* associate_public_ip_address (boolean) - Used for groups that launch instances into a virtual\n  private cloud (VPC). Specifies whether to assign a public IP address to each instance.\n  For more information, see Launching Auto Scaling Instances in a VPC in the Amazon EC2\n  Auto Scaling User Guide. If you specify this parameter, be sure to specify at least\n  one subnet when you create your group. Default: If the instance is launched into a\n  default subnet, the default is to assign a public IP address. If the instance is launched\n  into a nondefault subnet, the default is not to assign a public IP address.\n\n  * block_device_mappings (`List` of `t:block_device_mapping/0`) - One or more mappings that\n  specify how block devices are exposed to the instance. For more information, see Block\n  Device Mapping in the Amazon EC2 User Guide for Linux Instances.\n\n  * classic_link_vpc_id (`String`) - The ID of a ClassicLink-enabled VPC to link your EC2-Classic\n  instances to. This parameter is supported only if you are launching EC2-Classic instances. For\n  more information, see ClassicLink in the Amazon EC2 User Guide for Linux Instances and Linking\n  EC2-Classic Instances to a VPC in the Amazon EC2 Auto Scaling User Guide.\n\n  * classic_link_vpc_security_groups (`List` of `String`) - The IDs of one or more security groups\n  for the specified ClassicLink-enabled VPC. This parameter is required if you specify a\n  ClassicLink-enabled VPC, and is not supported otherwise. For more information, see ClassicLink\n  in the Amazon EC2 User Guide for Linux Instances and Linking EC2-Classic Instances to a VPC in\n  the Amazon EC2 Auto Scaling User Guide.\n\n  * ebs_optimized (boolean) - Indicates whether the instance is optimized for Amazon EBS I/O.\n  By default, the instance is not optimized for EBS I/O. The optimization provides dedicated\n  throughput to Amazon EBS and an optimized configuration stack to provide optimal I/O performance.\n  This optimization is not available with all instance types. Additional usage charges apply.\n  For more information, see Amazon EBS-Optimized Instances in the Amazon EC2 User Guide for\n  Linux Instances.\n\n  * iam_instance_profile (`String`) - The name or the Amazon Resource Name (ARN) of the instance\n  profile associated with the IAM role for the instance. EC2 instances launched with an IAM role\n  automatically have AWS security credentials available. You can use IAM roles with Amazon EC2\n  Auto Scaling to automatically enable applications running on your EC2 instances to securely\n  access other AWS resources. For more information, see Use an IAM Role for Applications That\n  Run on Amazon EC2 Instances in the Amazon EC2 Auto Scaling User Guide.\n\n  * image_id (`String`) - The ID of the Amazon Machine Image (AMI) to use to launch your EC2 instances.\n  If you do not specify instance_id, you must specify image_id.\n\n  * instance_id (`String`) - The ID of the instance to use to create the launch configuration. The new\n  launch configuration derives attributes from the instance, except for the block device mapping.\n  If you do not specify instance_id, you must specify both image_id and instance_type.\n  To create a launch configuration with a block device mapping or override any other instance\n  attributes, specify them as part of the same request. For more information, see Create a Launch\n  Configuration Using an EC2 Instance in the Amazon EC2 Auto Scaling User Guide.\n\n  * instance_monitoring (boolean) - Enables detailed monitoring (true) or basic monitoring\n  (false) for the Auto Scaling instances. The default value is true.\n\n  * instance_type (`String`) - The instance type of the EC2 instance. If you do not specify instance_id,\n  you must specify instance_type. For information about available instance types, see Available Instance\n  Types in the Amazon EC2 User Guide for Linux Instances.\n\n  * kernel_id (`String`) - The ID of the kernel associated with the AMI.\n\n  * key_name (`String`) - The name of the key pair. For more information, see Amazon EC2 Key Pairs in\n  the Amazon EC2 User Guide for Linux Instances.\n\n  * placement_tenancy (`String`) - The tenancy of the instance. An instance with a tenancy of dedicated\n  runs on single-tenant hardware and can only be launched into a VPC. To launch Dedicated Instances\n  into a shared tenancy VPC (a VPC with the instance placement tenancy attribute set to default), you\n  must set the value of this parameter to dedicated. If you specify this parameter, be sure to specify at\n  least one subnet when you create your group. For more information, see Launching Auto Scaling Instances\n  in a VPC in the Amazon EC2 Auto Scaling User Guide. Valid values: \"default\" | \"dedicated\"\n\n  * ramdisk_id (`String`) - The ID of the RAM disk associated with the AMI.\n\n  * security_groups (`List` of String) - One or more security groups with which to associate the instances.\n  If your instances are launched in EC2-Classic, you can either specify security group names or the\n  security group IDs. For more information, see Amazon EC2 Security Groups in the Amazon EC2 User Guide\n  for Linux Instances. If your instances are launched into a VPC, specify security group IDs. For more\n  information, see Security Groups for Your VPC in the Amazon Virtual Private Cloud User Guide.\n\n  * spot_price (`String`) - The maximum hourly price to be paid for any Spot Instance launched to fulfill\n  the request. Spot Instances are launched when the price you specify exceeds the current Spot market\n  price. For more information, see Launching Spot Instances in Your Auto Scaling Group in the Amazon EC2\n  Auto Scaling User Guide.\n\n  * user_data (`String`) - The user data to make available to the launched EC2 instances. For more\n  information, see Instance Metadata and User Data in the Amazon EC2 User Guide for Linux Instances.\n  This value will be base64 encoded automatically. Do not base64 encode this value prior to performing\n  the operation.","ref":"ExAws.AutoScaling.html#t:create_launch_configuration_opts/0-keys"},{"type":"type","title":"ExAws.AutoScaling.customized_metric_specification/0","doc":"A customized metric. You can specify either a predefined metric or a customized metric","ref":"ExAws.AutoScaling.html#t:customized_metric_specification/0"},{"type":"type","title":"ExAws.AutoScaling.delete_auto_scaling_group_opts/0","doc":"The optional parameters when calling `delete_auto_scaling_group/2`","ref":"ExAws.AutoScaling.html#t:delete_auto_scaling_group_opts/0"},{"type":"type","title":"Keys - ExAws.AutoScaling.delete_auto_scaling_group_opts/0","doc":"* force_delete (boolean) - Specifies that the group is to be deleted\n  along with all instances associated with the group, without waiting for\n  all instances to be terminated. This parameter also deletes any lifecycle\n  actions associated with the group.","ref":"ExAws.AutoScaling.html#t:delete_auto_scaling_group_opts/0-keys"},{"type":"type","title":"ExAws.AutoScaling.delete_policy_opts/0","doc":"The optional parameters when calling `delete_policy/2`","ref":"ExAws.AutoScaling.html#t:delete_policy_opts/0"},{"type":"type","title":"Keys - ExAws.AutoScaling.delete_policy_opts/0","doc":"* auto_scaling_group_name (`String`) - The name of the Auto Scaling group","ref":"ExAws.AutoScaling.html#t:delete_policy_opts/0-keys"},{"type":"type","title":"ExAws.AutoScaling.describe_auto_scaling_groups_opts/0","doc":"The optional parameters when calling `describe_auto_scaling_groups/1`","ref":"ExAws.AutoScaling.html#t:describe_auto_scaling_groups_opts/0"},{"type":"type","title":"Keys - ExAws.AutoScaling.describe_auto_scaling_groups_opts/0","doc":"* auto_scaling_group_names (`List` of `String`) - The names of the Auto Scaling groups.\nEach name can be a maximum of 1600 characters. By default, you can only specify up\nto 50 names. You can optionally increase this limit using the MaxRecords parameter.\nIf you omit this parameter, all Auto Scaling groups are described.\n\n* max_records (`Integer`) - The maximum number of items to return with this call. The\ndefault value is 50 and the maximum value is 100.\n\n* next_token (`String`) - The token for the next set of items to return. (You received\nthis token from a previous call.)","ref":"ExAws.AutoScaling.html#t:describe_auto_scaling_groups_opts/0-keys"},{"type":"type","title":"ExAws.AutoScaling.describe_auto_scaling_instances_opts/0","doc":"The optional parameters when calling `describe_auto_scaling_instances/1`","ref":"ExAws.AutoScaling.html#t:describe_auto_scaling_instances_opts/0"},{"type":"type","title":"Keys - ExAws.AutoScaling.describe_auto_scaling_instances_opts/0","doc":"* instance_ids (`List` of `String`) - The IDs of the instances. You can\n  specify up to max_records IDs. If you omit this parameter, all Auto Scaling\n  instances are described. If you specify an ID that does not exist, it is\n  ignored with no error.\n\n  * max_records (`Integer`) - The maximum number of items to return with\n  this call. The default value is 50 and the maximum value is 50.\n\n  * next_token (`String`) - The token for the next set of items to return.\n  (You received this token from a previous call.)","ref":"ExAws.AutoScaling.html#t:describe_auto_scaling_instances_opts/0-keys"},{"type":"type","title":"ExAws.AutoScaling.describe_launch_configurations_opts/0","doc":"The optional parameters when calling `describe_launch_configurations/1`","ref":"ExAws.AutoScaling.html#t:describe_launch_configurations_opts/0"},{"type":"type","title":"Keys - ExAws.AutoScaling.describe_launch_configurations_opts/0","doc":"* launch_configuration_names (`List` of `String`) - The launch configuration names. If\n  you omit this parameter, all launch configurations are described.\n\n  * max_records (`Integer`) - The maximum number of items to return with this call. The\n  default value is 50 and the maximum value is 100.\n\n  * next_token (`String`) - The token for the next set of items to return. (You received\n  this token from a previous call.)","ref":"ExAws.AutoScaling.html#t:describe_launch_configurations_opts/0-keys"},{"type":"type","title":"ExAws.AutoScaling.describe_lifecycle_hooks_opts/0","doc":"The optional parameters when calling `describe_lifecycle_hooks/2`","ref":"ExAws.AutoScaling.html#t:describe_lifecycle_hooks_opts/0"},{"type":"type","title":"Keys - ExAws.AutoScaling.describe_lifecycle_hooks_opts/0","doc":"* lifecycle_hook_names (`List` of `String`) - The names of one or more lifecycle\n  hooks. If you omit this parameter, all lifecycle hooks are described.","ref":"ExAws.AutoScaling.html#t:describe_lifecycle_hooks_opts/0-keys"},{"type":"type","title":"ExAws.AutoScaling.describe_notification_configurations_opts/0","doc":"The optional parameters when calling `describe_notification_configurations/1`","ref":"ExAws.AutoScaling.html#t:describe_notification_configurations_opts/0"},{"type":"type","title":"Keys - ExAws.AutoScaling.describe_notification_configurations_opts/0","doc":"* auto_scaling_group_names (`List` of String) - The name of the Auto Scaling group\n\n  * max_records (`Integer`) - The maximum number of items to return with this call. The\n  default value is 50 and the maximum value is 100.\n\n  * next_token (`String`) - The token for the next set of items to return. (You received\n  this token from a previous call.)","ref":"ExAws.AutoScaling.html#t:describe_notification_configurations_opts/0-keys"},{"type":"type","title":"ExAws.AutoScaling.describe_policies_opts/0","doc":"The optional parameters when calling `describe_policies/1`","ref":"ExAws.AutoScaling.html#t:describe_policies_opts/0"},{"type":"type","title":"Keys - ExAws.AutoScaling.describe_policies_opts/0","doc":"* auto_scaling_group_name (`String`) - The name of the Auto Scaling group\n\n  * max_records (`Integer`) - The maximum number of items to return with this call. The\n  default value is 50 and the maximum value is 100.\n\n  * next_token (`String`) - The token for the next set of items to return. (You received\n  this token from a previous call.)","ref":"ExAws.AutoScaling.html#t:describe_policies_opts/0-keys"},{"type":"type","title":"ExAws.AutoScaling.describe_scaling_activities_opts/0","doc":"The optional parameters when calling `describe_scaling_activities/1`","ref":"ExAws.AutoScaling.html#t:describe_scaling_activities_opts/0"},{"type":"type","title":"Keys - ExAws.AutoScaling.describe_scaling_activities_opts/0","doc":"* auto_scaling_group_name (`String`) - The name of the Auto Scaling group\n\n  * max_records (`Integer`) - The maximum number of items to return with this call. The\n  default value is 50 and the maximum value is 100.\n\n  * next_token (`String`) - The token for the next set of items to return. (You received\n  this token from a previous call.)","ref":"ExAws.AutoScaling.html#t:describe_scaling_activities_opts/0-keys"},{"type":"type","title":"ExAws.AutoScaling.describe_scheduled_actions_opts/0","doc":"The optional parameters when calling `describe_scheduled_actions/1`","ref":"ExAws.AutoScaling.html#t:describe_scheduled_actions_opts/0"},{"type":"type","title":"Keys - ExAws.AutoScaling.describe_scheduled_actions_opts/0","doc":"* auto_scaling_group_name (`String`) - The name of the Auto Scaling group\n\n  * end_time (`String`) - The latest scheduled start time to return. If\n  scheduled action names are provided, this parameter is ignored.\n\n  * max_records (`Integer`) - The maximum number of items to return with this call. The\n  default value is 50 and the maximum value is 100.\n\n  * next_token (`String`) - The token for the next set of items to return. (You received\n  this token from a previous call.)\n\n  * scheduled_action_names (`List` of String) - The names of one or more scheduled\n  actions. You can specify up to 50 actions. If you omit this parameter, all\n  scheduled actions are described. If you specify an unknown scheduled action,\n  it is ignored with no error.\n\n  * start_time (`String`) - The earliest scheduled start time to return. If\n  scheduled action names are provided, this parameter is ignored.","ref":"ExAws.AutoScaling.html#t:describe_scheduled_actions_opts/0-keys"},{"type":"type","title":"ExAws.AutoScaling.describe_tags_opts/0","doc":"The optional parameters when calling `describe_tags/1`","ref":"ExAws.AutoScaling.html#t:describe_tags_opts/0"},{"type":"type","title":"Keys - ExAws.AutoScaling.describe_tags_opts/0","doc":"* filters (`List` of `t:filter/0`) - One or more filters to scope the tags to\n  return. The maximum number of filters per filter type (for example,\n  auto-scaling-group) is 1000.\n\n  * max_records (`Integer`) - The maximum number of items to return with this call. The\n  default value is 50 and the maximum value is 100.\n\n  * next_token (`String`) - The token for the next set of items to return. (You received\n  this token from a previous call.)","ref":"ExAws.AutoScaling.html#t:describe_tags_opts/0-keys"},{"type":"type","title":"ExAws.AutoScaling.ebs/0","doc":"Describes an Amazon EBS volume. Used in combination with `t:block_device_mapping/0`","ref":"ExAws.AutoScaling.html#t:ebs/0"},{"type":"type","title":"Keys - ExAws.AutoScaling.ebs/0","doc":"* delete_on_termination (boolean) - Indicates whether the volume is deleted on\n  instance termination. The default value is true.\n\n  * encrypted (boolean) - Specifies whether the volume should be encrypted.\n  Encrypted EBS volumes must be attached to instances that support Amazon EBS\n  encryption. Volumes that are created from encrypted snapshots are automatically\n  encrypted. There is no way to create an encrypted volume from an unencrypted\n  snapshot or an unencrypted volume from an encrypted snapshot. If your AMI uses\n  encrypted volumes, you can only launch it on supported instance types. For more\n  information, see Amazon EBS Encryption in the Amazon EC2 User Guide for Linux Instances.\n\n  * iops (`Integer`) - The number of I/O operations per second (IOPS) to provision for\n  the volume. For more information, see Amazon EBS Volume Types in the Amazon EC2 User\n  Guide for Linux Instances. Constraint: Required when the volume type is io1. (Not\n  used with standard, gp2, st1, or sc1 volumes.) Valid Range: Minimum value of 100.\n  Maximum value of 20000.\n\n  * snapshot_id (`String`) - The ID of the snapshot. This parameter is optional if you\n  specify a volume size.\n\n  * volume_size (`Integer`) - The volume size, in GiB. Constraints: 1-1,024 for standard,\n  4-16,384 for io1, 1-16,384 for gp2, and 500-16,384 for st1 and sc1. If you specify a\n  snapshot, the volume size must be equal to or larger than the snapshot size.\n  Default: If you create a volume from a snapshot and you don't specify a volume size,\n  the default is the snapshot size. Valid Range: Minimum value of 1. Maximum value of 16384.\n\n  * volume_type (`String`) - The volume type, which can be \"standard\" for Magnetic, \"io1\" for\n  Provisioned IOPS SSD, \"gp2\" for General Purpose SSD, \"st1\" for Throughput Optimized HDD,\n  or \"sc1\" for Cold HDD. For more information, see Amazon EBS Volume Types in the Amazon\n  EC2 User Guide for Linux Instances.","ref":"ExAws.AutoScaling.html#t:ebs/0-keys"},{"type":"type","title":"ExAws.AutoScaling.execute_policy_opts/0","doc":"The optional parameters when calling `execute_policy/3`","ref":"ExAws.AutoScaling.html#t:execute_policy_opts/0"},{"type":"type","title":"Keys - ExAws.AutoScaling.execute_policy_opts/0","doc":"* breach_threshold (`Float`) - The breach threshold for the alarm. This parameter\n  is required if the policy type is StepScaling and not supported otherwise.\n\n  * honor_cooldown (boolean) - Indicates whether Amazon EC2 Auto Scaling waits for the\n  cooldown period to complete before executing the policy. This parameter is\n  not supported if the policy type is StepScaling.\n\n  * metric_value (`Float`) - The metric value to compare to BreachThreshold. This enables\n  you to execute a policy of type StepScaling and determine which step adjustment\n  to use. For example, if the breach threshold is 50 and you want to use a step\n  adjustment with a lower bound of 0 and an upper bound of 10, you can set the\n  metric value to 59. If you specify a metric value that doesn't correspond to\n  a step adjustment for the policy, the call returns an error. This parameter is\n  required if the policy type is StepScaling and not supported otherwise.","ref":"ExAws.AutoScaling.html#t:execute_policy_opts/0-keys"},{"type":"type","title":"ExAws.AutoScaling.filter/0","doc":"Describes a filter.","ref":"ExAws.AutoScaling.html#t:filter/0"},{"type":"type","title":"Parameters - ExAws.AutoScaling.filter/0","doc":"* name (`String`) - The name of the filter. The valid values are:\n  \"auto-scaling-group\", \"key\", \"value\", and \"propagate-at-launch\".\n\n  * values (`List` of `String`) - The value of the filter.","ref":"ExAws.AutoScaling.html#t:filter/0-parameters"},{"type":"type","title":"ExAws.AutoScaling.instances_distribution/0","doc":"Describes an instances distribution for an Auto Scaling group with\n  mixed_instances_policy.","ref":"ExAws.AutoScaling.html#t:instances_distribution/0"},{"type":"type","title":"Keys - ExAws.AutoScaling.instances_distribution/0","doc":"* on_demand_allocation_strategy (`String`) - Indicates how to allocate instance types to\n  fulfill On-Demand capacity. The only valid value is \"prioritized\", which is also the\n  default value. This strategy uses the order of instance type overrides for the\n  launch_template to define the launch priority of each instance type. The first instance\n  type in the array is prioritized higher than the last. If all your On-Demand capacity\n  cannot be fulfilled using your highest priority instance, then the Auto Scaling groups\n  launches the remaining capacity using the second priority instance type, and so on.\n\n  * on_demand_base_capacity (`Integer`) - The minimum amount of the Auto Scaling group's\n  capacity that must be fulfilled by On-Demand Instances. This base portion is provisioned\n  first as your group scales. The default value is 0. If you leave this parameter set to\n  0, On-Demand Instances are launched as a percentage of the Auto Scaling group's desired\n  capacity, per the on_demand_percentage_above_base_capacity setting.\n\n  * on_demand_percentage_above_base_capacity (`Integer`) - Controls the percentages of On-Demand\n  Instances and Spot Instances for your additional capacity beyond on_demand_base_capacity.\n  The range is 0–100. The default value is 100. If you leave this parameter set to 100, the\n  percentages are 100% for On-Demand Instances and 0% for Spot Instances.\n\n  * spot_allocation_strategy (`String`) - Indicates how to allocate Spot capacity across Spot pools.\n  The only valid value is \"lowest-price\", which is also the default value. The Auto Scaling group\n  selects the cheapest Spot pools and evenly allocates your Spot capacity across the number of\n  Spot pools that you specify.\n\n  * spot_instance_pools (`Integer`) - The number of Spot pools to use to allocate your Spot capacity.\n  The Spot pools are determined from the different instance types in the Overrides array of\n  launch_template. The range is 1–20 and the default is 2.\n\n  * spot_max_price (`String`) - The maximum price per unit hour that you are willing to pay for a\n  Spot Instance. If you leave the value of this parameter blank (which is the default), the\n  maximum Spot price is set at the On-Demand price. To remove a value that you previously set,\n  include the parameter but leave the value blank.","ref":"ExAws.AutoScaling.html#t:instances_distribution/0-keys"},{"type":"type","title":"ExAws.AutoScaling.instances_opts/0","doc":"The optional parameters when calling `detach_instances/3`,\n `enter_standby/3`, `attach_instances/2`","ref":"ExAws.AutoScaling.html#t:instances_opts/0"},{"type":"type","title":"Keys - ExAws.AutoScaling.instances_opts/0","doc":"* instance_ids (`List` of `String`) - The IDs of the instances. You can\n  specify up to 20 instances.","ref":"ExAws.AutoScaling.html#t:instances_opts/0-keys"},{"type":"type","title":"ExAws.AutoScaling.launch_template/0","doc":"Describes a launch template and overrides\n\n  The overrides are used to override the instance type specified by the launch template\n  with multiple instance types that can be used to launch On-Demand Instances and\n  Spot Instances.","ref":"ExAws.AutoScaling.html#t:launch_template/0"},{"type":"type","title":"Keys - ExAws.AutoScaling.launch_template/0","doc":"* launch_template_specification (`t:launch_template_specification/0` - The launch\n  template to use. You must specify either the launch template ID or launch template\n  name in the request.\n\n  * overrides (`List` of `t:launch_template_overrides/0` - Any parameters that you\n  specify override the same parameters in the launch template. Currently, the only\n  supported override is instance type","ref":"ExAws.AutoScaling.html#t:launch_template/0-keys"},{"type":"type","title":"ExAws.AutoScaling.launch_template_overrides/0","doc":"Describes an override for a launch template\n\n  instance_type (String - The instance type. For information about available instance\n  types, see Available Instance Types in the Amazon Elastic Compute Cloud User Guide.","ref":"ExAws.AutoScaling.html#t:launch_template_overrides/0"},{"type":"type","title":"ExAws.AutoScaling.launch_template_specification/0","doc":"Describes a launch template and the launch template version\n\n  The launch template that is specified must be configured for use with an Auto\n  Scaling group. For more information, see [Creating a Launch Template for an Auto\n  Scaling group](https://amzn.to/2NbIsiC) in the Amazon EC2 Auto Scaling User Guide.","ref":"ExAws.AutoScaling.html#t:launch_template_specification/0"},{"type":"type","title":"Keys - ExAws.AutoScaling.launch_template_specification/0","doc":"* launch_template_id (`String`) - The ID of the launch template. You must specify\n  either a template ID or a template name.\n\n  * launch_template_name (`String`) - The name of the launch template. You must specify\n  either a template name or a template ID.\n\n  * version (`String`) - The version number, \"$Latest\", or \"$Default\". If the value is\n  \"$Latest\", Amazon EC2 Auto Scaling selects the latest version of the launch template\n  when launching instances. If the value is \"$Default\", Amazon EC2 Auto Scaling selects\n  the default version of the launch template when launching instances. The default value\n  is \"$Default\".","ref":"ExAws.AutoScaling.html#t:launch_template_specification/0-keys"},{"type":"type","title":"ExAws.AutoScaling.lifecycle_hook_specification/0","doc":"Describes a lifecycle hook, which tells Amazon EC2 Auto Scaling that you\n  want to perform an action whenever it launches instances or whenever it\n  terminates instances.\n\n  Used in combination with `create_auto_scaling_group/3`. For more information,\n  see Amazon EC2 Auto Scaling Lifecycle Hooks in the Amazon EC2 Auto Scaling\n  User Guide.","ref":"ExAws.AutoScaling.html#t:lifecycle_hook_specification/0"},{"type":"type","title":"Keys - ExAws.AutoScaling.lifecycle_hook_specification/0","doc":"* default_result (`String`) - Defines the action the Auto Scaling group\n  should take when the lifecycle hook timeout elapses or if an unexpected\n  failure occurs. The valid values are \"CONTINUE\" and \"ABANDON\".\n\n  * heartbeat_timeout (`Integer`) - The maximum time, in seconds, that can\n  elapse before the lifecycle hook times out. If the lifecycle hook times\n  out, Amazon EC2 Auto Scaling performs the action that you specified in the\n  default_result parameter. You can prevent the lifecycle hook from timing\n  out by calling `record_lifecycle_action_heartbeat/2`.\n\n  * lifecycle_hook_name (`String`) - The name of the lifecycle hook.\n\n  * lifecycle_transition (`String`) - The state of the EC2 instance to which you\n  want to attach the lifecycle hook. The possible values are:\n  \"autoscaling:EC2_INSTANCE_LAUNCHING\" | \"autoscaling:EC2_INSTANCE_TERMINATING\"\n\n  * notification_target_arn (`String`) - The ARN of the target that Amazon EC2\n  Auto Scaling sends notifications to when an instance is in the transition state\n  for the lifecycle hook. The notification target can be either an SQS queue or\n  an SNS topic.\n\n  * role_arn (`String`) - The ARN of the IAM role that allows the Auto Scaling group\n  to publish to the specified notification target, for example, an Amazon SNS\n  topic or an Amazon SQS queue","ref":"ExAws.AutoScaling.html#t:lifecycle_hook_specification/0-keys"},{"type":"type","title":"ExAws.AutoScaling.metric_dimension/0","doc":"Describes the dimension of a metric","ref":"ExAws.AutoScaling.html#t:metric_dimension/0"},{"type":"type","title":"ExAws.AutoScaling.metrics_collection_opts/0","doc":"The optional parameters when calling `disable_metrics_collection/2`\n or `enable_metrics_collection/3`","ref":"ExAws.AutoScaling.html#t:metrics_collection_opts/0"},{"type":"type","title":"Keys - ExAws.AutoScaling.metrics_collection_opts/0","doc":"* metrics (`List` of `String`) - One or more of the following metrics.\n  If you omit this parameter, all metrics are disabled.\n\n    * GroupMinSize\n    * GroupMaxSize\n    * GroupDesiredCapacity\n    * GroupInServiceInstances\n    * GroupPendingInstances\n    * GroupStandbyInstances\n    * GroupTerminatingInstances\n    * GroupTotalInstances","ref":"ExAws.AutoScaling.html#t:metrics_collection_opts/0-keys"},{"type":"type","title":"ExAws.AutoScaling.mixed_instances_policy/0","doc":"Describes a mixed instances policy for an Auto Scaling group\n\n  With mixed instances, your Auto Scaling group can provision a combination of On-Demand\n  Instances and Spot Instances across multiple instance types. For more information, see\n  Using Multiple Instance Types and Purchase Options in the Amazon EC2 Auto Scaling\n  User Guide.\n\n  When you create your Auto Scaling group, you can specify a launch configuration or\n  template as a parameter for the top-level object, or you can specify a mixed instances\n  policy, but not both at the same time.","ref":"ExAws.AutoScaling.html#t:mixed_instances_policy/0"},{"type":"type","title":"Keys - ExAws.AutoScaling.mixed_instances_policy/0","doc":"* instances_distribution (`t:instances_distribution/0`) - The instances distribution to\n  use. If you leave this parameter unspecified when creating the group, the default values\n  are used.\n\n  * launch_template (`t:launch_template/0`) - The launch template and overrides. This\n  parameter is required when creating an Auto Scaling group with a mixed instances policy,\n  but is not required when updating the group.","ref":"ExAws.AutoScaling.html#t:mixed_instances_policy/0-keys"},{"type":"type","title":"ExAws.AutoScaling.paging_opts/0","doc":"The optional parameters when calling `describe_load_balancers/2`","ref":"ExAws.AutoScaling.html#t:paging_opts/0"},{"type":"type","title":"Keys - ExAws.AutoScaling.paging_opts/0","doc":"* max_records (`Integer`) - The maximum number of items to return with this call. The\n  default value is 50 and the maximum value is 100.\n\n  * next_token (`String`) - The token for the next set of items to return. (You received\n  this token from a previous call.)","ref":"ExAws.AutoScaling.html#t:paging_opts/0-keys"},{"type":"type","title":"ExAws.AutoScaling.predefined_metric_specification/0","doc":"Represents a predefined metric for a target tracking scaling policy to use with\n  Amazon EC2 Auto Scaling.","ref":"ExAws.AutoScaling.html#t:predefined_metric_specification/0"},{"type":"type","title":"Keys - ExAws.AutoScaling.predefined_metric_specification/0","doc":"* predefined_metric_type (`String`) - The metric type. Valid Values: \"ASGAverageCPUUtilization\",\n  \"ASGAverageNetworkIn\", \"ASGAverageNetworkOut\", \"ALBRequestCountPerTarget\"\n\n  * resource_label (`String`) - Identifies the resource associated with the metric type.\n  The following predefined metrics are available:\n\n    * \"ASGAverageCPUUtilization\" - Average CPU utilization of the Auto Scaling group.\n    * \"ASGAverageNetworkIn\" - Average number of bytes received on all network interfaces\n    by the Auto Scaling group.\n    * \"ASGAverageNetworkOut\" - Average number of bytes sent out on all network interfaces\n    by the Auto Scaling group.\n    * \"ALBRequestCountPerTarget\" - Number of requests completed per target in an Application\n    Load Balancer or a Network Load Balancer target group.\n\n    For predefined metric types ASGAverageCPUUtilization, ASGAverageNetworkIn, and\n    ASGAverageNetworkOut, the parameter must not be specified as the resource associated\n    with the metric type is the Auto Scaling group. For predefined metric type\n    ALBRequestCountPerTarget, the parameter must be specified in the format:\n    `app/load-balancer-name/load-balancer-id/targetgroup/target-group-name/target-group-id`,\n    where `app/load-balancer-name/load-balancer-id` is the final portion of the load balancer\n    ARN, and `targetgroup/target-group-name/target-group-id` is the final portion of the\n    target group ARN. The target group must be attached to the Auto Scaling group.","ref":"ExAws.AutoScaling.html#t:predefined_metric_specification/0-keys"},{"type":"type","title":"ExAws.AutoScaling.put_lifecycle_hook_opts/0","doc":"Optional parmeters to `put_lifecycle_hook/3`","ref":"ExAws.AutoScaling.html#t:put_lifecycle_hook_opts/0"},{"type":"type","title":"Keys - ExAws.AutoScaling.put_lifecycle_hook_opts/0","doc":"* default_result (`String`) - Defines the action the Auto Scaling group\n  should take when the lifecycle hook timeout elapses or if an unexpected\n  failure occurs. The valid values are \"CONTINUE\" and \"ABANDON\".\n\n  * heartbeat_timeout (`Integer`) - The maximum time, in seconds, that can\n  elapse before the lifecycle hook times out. If the lifecycle hook times\n  out, Amazon EC2 Auto Scaling performs the action that you specified in the\n  default_result parameter. You can prevent the lifecycle hook from timing\n  out by calling `record_lifecycle_action_heartbeat/2`.\n\n  * notification_metadata (`String`) - Contains additional information that\n  you want to include any time Amazon EC2 Auto Scaling sends a message to\n  the notification target.\n\n  * lifecycle_transition (`String`) - The state of the EC2 instance to which you\n  want to attach the lifecycle hook. The possible values are:\n  \"autoscaling:EC2_INSTANCE_LAUNCHING\" | \"autoscaling:EC2_INSTANCE_TERMINATING\"\n\n  * notification_target_arn (`String`) - The ARN of the target that Amazon EC2\n  Auto Scaling sends notifications to when an instance is in the transition state\n  for the lifecycle hook. The notification target can be either an SQS queue or\n  an SNS topic.\n\n  * role_arn (`String`) - The ARN of the IAM role that allows the Auto Scaling group\n  to publish to the specified notification target, for example, an Amazon SNS\n  topic or an Amazon SQS queue","ref":"ExAws.AutoScaling.html#t:put_lifecycle_hook_opts/0-keys"},{"type":"type","title":"ExAws.AutoScaling.put_scaling_policy_opts/0","doc":"Optional parameters to `put_scaling_policy/3`","ref":"ExAws.AutoScaling.html#t:put_scaling_policy_opts/0"},{"type":"type","title":"Keys - ExAws.AutoScaling.put_scaling_policy_opts/0","doc":"* adjustment_type (`String`) - The adjustment type. The valid values are\n  \"ChangeInCapacity\", \"ExactCapacity\", and \"PercentChangeInCapacity\". This\n  parameter is supported if the policy type is SimpleScaling or StepScaling.\n  For more information, see Dynamic Scaling in the Amazon EC2 Auto Scaling\n  User Guide.\n\n  * cooldown (`Integer`) - The amount of time, in seconds, after a scaling\n  activity completes and before the next scaling activity can start. If this\n  parameter is not specified, the default cooldown period for the group applies.\n  This parameter is supported if the policy type is SimpleScaling. For more\n  information, see Scaling Cooldowns in the Amazon EC2 Auto Scaling User Guide.\n\n  * estimated_instance_warmup (`Integer`) - The estimated time, in seconds,\n  until a newly launched instance can contribute to the CloudWatch metrics.\n  The default is to use the value specified for the default cooldown period\n  for the group. This parameter is supported if the policy type is StepScaling\n  or TargetTrackingScaling.\n\n  * metric_aggregation_type (`String`) - The aggregation type for the CloudWatch\n  metrics. The valid values are \"Minimum\", \"Maximum\", and \"Average\". If the\n  aggregation type is null, the value is treated as \"Average\". This parameter\n  is supported if the policy type is StepScaling.\n\n  * min_adjustment_magnitude (`Integer`) - The minimum number of instances to\n  scale. If the value of AdjustmentType is PercentChangeInCapacity, the scaling\n  policy changes the DesiredCapacity of the Auto Scaling group by at least this\n  many instances. Otherwise, the error is ValidationError. This parameter is\n  supported if the policy type is SimpleScaling or StepScaling.\n\n  * min_adjustment_step (`Integer`) - This parameter has been deprecated. Available\n  for backward compatibility. Use min_adjustment_magnitude instead.\n\n  * policy_type (`String`) - The policy type. The valid values are \"SimpleScaling\",\n  \"StepScaling\", and \"TargetTrackingScaling\". If the policy type is null, the\n  value is treated as \"SimpleScaling\".\n\n  * scaling_adjustment (`Integer`) - The amount by which to scale, based on the\n  specified adjustment type. A positive value adds to the current capacity while\n  a negative number removes from the current capacity. This parameter is required\n  if the policy type is SimpleScaling and not supported otherwise.\n\n  * target_tracking_configuration (`t:target_tracking_configuration/0`) -","ref":"ExAws.AutoScaling.html#t:put_scaling_policy_opts/0-keys"},{"type":"type","title":"ExAws.AutoScaling.put_scheduled_update_group_action_opts/0","doc":"Optional parameters to `put_scheduled_update_group_action/3`","ref":"ExAws.AutoScaling.html#t:put_scheduled_update_group_action_opts/0"},{"type":"type","title":"Keys - ExAws.AutoScaling.put_scheduled_update_group_action_opts/0","doc":"* desired_capacity (`Integer`) - The number of EC2 instances that should\n  be running in the group.\n\n  * end_time (`String`) - The time for the recurring schedule to end. Amazon\n  EC2 Auto Scaling does not perform the action after this time.\n\n  * max_size (`Integer`) - The maximum size for the Auto Scaling group.\n\n  * min_size (`Integer`) - The minimum size for the Auto Scaling group.\n\n  * recurrence (`String`) - The recurring schedule for this action, in Unix cron\n  syntax format. This format consists of five fields separated by white\n  spaces: `[Minute] [Hour] [Day_of_Month] [Month_of_Year] [Day_of_Week]`. The value\n  must be in quotes (for example, \"30 0 1 1,6,12 *\"). For more information about\n  this format, see [Crontab](http://crontab.org/).","ref":"ExAws.AutoScaling.html#t:put_scheduled_update_group_action_opts/0-keys"},{"type":"type","title":"ExAws.AutoScaling.record_lifecycle_action_heartbeat_opts/0","doc":"Optional parameters to `record_lifecycle_action_heartbeat/3`","ref":"ExAws.AutoScaling.html#t:record_lifecycle_action_heartbeat_opts/0"},{"type":"type","title":"Keys - ExAws.AutoScaling.record_lifecycle_action_heartbeat_opts/0","doc":"* instance_id (`String`) - The ID of the instance\n\n  * lifecycle_action_token (`String`) - A token that uniquely identifies\n  a specific lifecycle action associated with an instance. Amazon EC2 Auto\n  Scaling sends this token to the notification target that you specified\n  when you created the lifecycle hook.","ref":"ExAws.AutoScaling.html#t:record_lifecycle_action_heartbeat_opts/0-keys"},{"type":"type","title":"ExAws.AutoScaling.resume_processes_opts/0","doc":"Optional parameters to `resume_processes/2`","ref":"ExAws.AutoScaling.html#t:resume_processes_opts/0"},{"type":"type","title":"Keys - ExAws.AutoScaling.resume_processes_opts/0","doc":"* scaling_processes (`List` of `String`) - One or more of the following processes.\n  If you omit this parameter, all processes are specified.\n\n    * Launch\n    * Terminate\n    * HealthCheck\n    * ReplaceUnhealthy\n    * AZRebalance\n    * AlarmNotification\n    * ScheduledActions\n    * AddToLoadBalancer","ref":"ExAws.AutoScaling.html#t:resume_processes_opts/0-keys"},{"type":"type","title":"ExAws.AutoScaling.scheduled_update_group_action_request/0","doc":"Describes one or more scheduled scaling action updates for a specified\n  Auto Scaling group. Used in combination with `batch_put_scheduled_update_group_action/2`.","ref":"ExAws.AutoScaling.html#t:scheduled_update_group_action_request/0"},{"type":"type","title":"Keys - ExAws.AutoScaling.scheduled_update_group_action_request/0","doc":"* desired_capacity (`Integer`) - The number of EC2 instances that should be running in the group.\n\n  * end_time (`String`) - The time for the recurring schedule to end. Amazon EC2 Auto Scaling\n  does not perform the action after this time.\n\n  * max_size (`Integer`) - The maximum size of the group.\n\n  * min_size (`Integer`) - The minimum size of the group.\n\n  * recurrence (`String`) - The recurring schedule for the action, in Unix cron syntax format.\n  This format consists of five fields separated by white spaces:\n  [Minute] [Hour] [Day_of_Month] [Month_of_Year] [Day_of_Week].\n  The value must be in quotes (for example, \"30 0 1 1,6,12 *\"). For more information about\n  this format, see Crontab.\n\n  * start_time (`String`) - The time for the action to start, in YYYY-MM-DDThh:mm:ssZ\n  format in UTC/GMT only and in quotes (for example, \"2019-06-01T00:00:00Z\").\n  If you specify recurrence and start_time, Amazon EC2 Auto Scaling performs the action\n  at this time, and then performs the action based on the specified recurrence.\n  If you try to schedule the action in the past, Amazon EC2 Auto Scaling returns an\n  error message.\n\n  * scheduled_action_name (`String`) - The name of the scaling action.","ref":"ExAws.AutoScaling.html#t:scheduled_update_group_action_request/0-keys"},{"type":"type","title":"ExAws.AutoScaling.set_desired_capacity_opts/0","doc":"Optional parameters when calling `set_desired_capacity/3`","ref":"ExAws.AutoScaling.html#t:set_desired_capacity_opts/0"},{"type":"type","title":"Keys - ExAws.AutoScaling.set_desired_capacity_opts/0","doc":"* honor_cooldown (boolean) - Indicates whether Amazon EC2 Auto Scaling waits for\n  the cooldown period to complete before initiating a scaling activity to set your\n  Auto Scaling group to its new capacity. By default, Amazon EC2 Auto Scaling does\n  not honor the cooldown period during manual scaling activities.","ref":"ExAws.AutoScaling.html#t:set_desired_capacity_opts/0-keys"},{"type":"type","title":"ExAws.AutoScaling.set_instance_health_opts/0","doc":"Optional parameters when calling `set_instance_health/3`","ref":"ExAws.AutoScaling.html#t:set_instance_health_opts/0"},{"type":"type","title":"Keys - ExAws.AutoScaling.set_instance_health_opts/0","doc":"* should_respect_grace_period (boolean) - If the Auto Scaling group of the specified\n  instance has a health_check_grace_period specified for the group, by default, this\n  call respects the grace period. Set this to false, to have the call not respect the\n  grace period associated with the group. For more information about the health check\n  grace period, see `create_auto_scaling_group/4`.","ref":"ExAws.AutoScaling.html#t:set_instance_health_opts/0-keys"},{"type":"type","title":"ExAws.AutoScaling.step_adjustment/0","doc":"Describes an adjustment based on the difference between the value of the\n  aggregated CloudWatch metric and the breach threshold that you've defined\n  for the alarm.\n\n  For the following examples, suppose that you have an alarm with a breach\n  threshold of 50:\n\n  * To trigger the adjustment when the metric is greater than or equal to\n  50 and less than 60, specify a lower bound of 0 and an upper bound of 10.\n  * To trigger the adjustment when the metric is greater than 40 and less\n  than or equal to 50, specify a lower bound of -10 and an upper bound of 0.\n\n  There are a few rules for the step adjustments for your step policy:\n\n  * The ranges of your step adjustments can't overlap or have a gap.\n  * At most, one step adjustment can have a null lower bound. If one step\n  adjustment has a negative lower bound, then there must be a step adjustment\n  with a null lower bound.\n  * At most, one step adjustment can have a null upper bound. If one step\n  adjustment has a positive upper bound, then there must be a step adjustment\n  with a null upper bound.\n  * The upper and lower bound can't be null in the same step adjustment.","ref":"ExAws.AutoScaling.html#t:step_adjustment/0"},{"type":"type","title":"Keys - ExAws.AutoScaling.step_adjustment/0","doc":"* metric_interval_lower_bound (`Float`) - The lower bound for the difference\n  between the alarm threshold and the CloudWatch metric. If the metric value is\n  above the breach threshold, the lower bound is inclusive (the metric must be\n  greater than or equal to the threshold plus the lower bound). Otherwise, it is\n  exclusive (the metric must be greater than the threshold plus the lower bound).\n  A null value indicates negative infinity.\n\n  * metric_interval_upper_bound (`Float`) - The upper bound for the difference\n  between the alarm threshold and the CloudWatch metric. If the metric value is\n  above the breach threshold, the upper bound is exclusive (the metric must be\n  less than the threshold plus the upper bound). Otherwise, it is inclusive (the\n  metric must be less than or equal to the threshold plus the upper bound). A\n  null value indicates positive infinity. The upper bound must be greater than\n  the lower bound.\n\n  * scaling_adjustment (`Integer`) - The amount by which to scale, based on the\n  specified adjustment type. A positive value adds to the current capacity while\n  a negative number removes from the current capacity.","ref":"ExAws.AutoScaling.html#t:step_adjustment/0-keys"},{"type":"type","title":"ExAws.AutoScaling.tag/0","doc":"Describes a tag for an Auto Scaling group.","ref":"ExAws.AutoScaling.html#t:tag/0"},{"type":"type","title":"Keys - ExAws.AutoScaling.tag/0","doc":"* key (`String`) - The tag key. Length Constraints: Minimum length of 1. Maximum length of 128.\n  Required.\n\n  * propagate_at_launch (boolean) - Determines whether the tag is added to new instances as\n  they are launched in the group.\n\n  * resource_id (`String`) - The name of the group.\n\n  * resource_type (`String`) - The type of resource. The only supported value is \"auto-scaling-group\".\n\n  * value (`String`) - The tag value. Length Constraints: Minimum length of 0. Maximum length of 256.","ref":"ExAws.AutoScaling.html#t:tag/0-keys"},{"type":"type","title":"ExAws.AutoScaling.target_tracking_configuration/0","doc":"A target tracking scaling policy.","ref":"ExAws.AutoScaling.html#t:target_tracking_configuration/0"},{"type":"type","title":"Keys - ExAws.AutoScaling.target_tracking_configuration/0","doc":"* customized_metric_specification (`t:customized_metric_specification/0`) -\n  A customized metric. You can specify either a predefined metric or a customized metric.\n\n  * disable_scale_in (boolean) - Indicates whether scaling in by the target\n  tracking scaling policy is disabled. If scaling in is disabled, the target tracking\n  scaling policy doesn't remove instances from the Auto Scaling group. Otherwise, the\n  target tracking scaling policy can remove instances from the Auto Scaling group. The\n  default is disabled.\n\n  * predefined_metric_specification (`t:predefined_metric_specification/0`) -\n  A predefined metric. You can specify either a predefined metric or a customized metric.\n\n  * target_value (`Float`) - The target value for the metric.","ref":"ExAws.AutoScaling.html#t:target_tracking_configuration/0-keys"},{"type":"type","title":"ExAws.AutoScaling.update_auto_scaling_group_opts/0","doc":"The optional parameters when calling `update_auto_scaling_group/2`","ref":"ExAws.AutoScaling.html#t:update_auto_scaling_group_opts/0"},{"type":"type","title":"Keys - ExAws.AutoScaling.update_auto_scaling_group_opts/0","doc":"* availability_zones (`List`) - One or more Availability Zones for\n  the group. This parameter is optional if you specify one\n  or more subnets. Minimum number of 1 item. Maximum number\n  is 255.\n\n  * default_cool_down (`Integer`) - The amount of time, in seconds,\n  after a scaling activity completes before another scaling\n  activity can start. The default value is 300.\n\n  * desired_capacity (`Integer`) - The number of EC2 instances that\n  should be running in the group. This number must be greater than\n  or equal to the minimum size of the group and less than or equal\n  to the maximum size of the group. If you do not specify a desired\n  capacity, the default is the minimum size of the group.\n\n  * health_check_grace_period (`Integer`) - The amount of time, in seconds,\n  that Amazon EC2 Auto Scaling waits before checking the health status of\n  an EC2 instance that has come into service. During this time, any health\n  check failures for the instance are ignored. The default value is 0.\n  This parameter is required if you are adding an ELB health check.\n\n  * health_check_type (`String`) - The service to use for the health checks.\n  The valid values are \"EC2\" and \"ELB\".\n\n  * launch_configuration_name (`String`) - The name of the launch configuration.\n  If you specify this parameter, you can't specify a launch template or a mixed\n  instances policy.\n\n  * launch_template (`t:launch_template_specification/0`) - The launch template\n  and version to use to specify the updates. If you specify this parameter,\n  you can't specify a launch configuration or a mixed instances policy\n\n  * max_size (`Integer`) - The maximum size of the Auto Scaling group.\n\n  * min_size (`Integer`) - The minimum size of the Auto Scaling group.\n\n  * mixed_instances_policy - The mixed instances policy to use to launch instances.\n  This parameter, a launch template, a launch configuration, or an EC2 instance\n  must be specified.\n\n  * new_instances_protected_from_scale_in (boolean) - Indicates whether newly launched\n  instances are protected from termination by Auto Scaling when scaling in.\n  For more information about preventing instances from terminating on scale in, see\n  Instance Protection in the Amazon EC2 Auto Scaling User Guide.\n\n  * placement_group (`String`) - The name of the placement group into which to launch\n  your instances, if any. For more information, see Placement Groups in the Amazon\n  EC2 User Guide for Linux Instances.\n\n  * service_linked_role_arn (`String`) - The Amazon Resource Name (ARN) of the service-linked\n  role that the Auto Scaling group uses to call other AWS services on your behalf. By default,\n  Amazon EC2 Auto Scaling uses a service-linked role named AWSServiceRoleForAutoScaling,\n  which it creates if it does not exist. For more information, see Service-Linked Roles in\n  the Amazon EC2 Auto Scaling User Guide.\n\n  * termination_policies (`List` of String) - One or more termination policies used\n  to select the instance to terminate. These policies are executed in the order that\n  they are listed. For more information, see \"Controlling Which Instances Auto Scaling\n  Terminates During Scale In\" in the Amazon EC2 Auto Scaling User Guide.\n\n  * vpc_zone_identifier (`String`) - A comma-separated list of subnet identifiers for your\n  virtual private cloud (VPC)","ref":"ExAws.AutoScaling.html#t:update_auto_scaling_group_opts/0-keys"},{"type":"module","title":"ExAws.AutoScaling.Parsers","doc":"","ref":"ExAws.AutoScaling.Parsers.html"},{"type":"function","title":"ExAws.AutoScaling.Parsers.parse/2","doc":"","ref":"ExAws.AutoScaling.Parsers.html#parse/2"},{"type":"function","title":"ExAws.AutoScaling.Parsers.to_launch_template/1","doc":"","ref":"ExAws.AutoScaling.Parsers.html#to_launch_template/1"},{"type":"extras","title":"AWS EC2 Auto Scaling API","doc":"# AWS EC2 Auto Scaling API\n\nAWS EC2 Auto Scaling module for [ex_aws](https://github.com/ex-aws/ex_aws).","ref":"readme.html"},{"type":"extras","title":"Installation - AWS EC2 Auto Scaling API","doc":"The package can be installed by adding ex_aws_auto_scaling to your\nlist of dependencies in mix.exs along with :ex_aws and your\npreferred JSON codec / http client. Example:\n\n```elixir\ndef deps do\n  [\n    {:ex_aws, \"~> 2.0\"},\n    {:ex_aws_auto_scaling, \"~> 2.0\"},\n    {:poison, \"~> 3.0\"},\n    {:hackney, \"~> 1.9\"},\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Documentation - AWS EC2 Auto Scaling API","doc":"* [ex_aws](https://hexdocs.pm/ex_aws)\n* [AWS AutoScaling API](https://docs.aws.amazon.com/autoscaling/ec2/APIReference/Welcome.html)\n* [Go API for AutoScaling](https://github.com/aws/aws-sdk-go/blob/master/models/apis/autoscaling/2011-01-01/api-2.json)","ref":"readme.html#documentation"},{"type":"extras","title":"License - AWS EC2 Auto Scaling API","doc":"The MIT License (MIT)\n\nCopyright (c) 2019\n\nPermission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the \"Software\"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"readme.html#license"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}